'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var Icon = require('../Icon-de9d009b.js');
var React = _interopDefault(require('react'));
require('@rocketsoftware/icon-helpers');
require('prop-types');

var FilterFilled16 =
/*#__PURE__*/
React.forwardRef(function FilterFilled16(props, ref) {
  return React.createElement(Icon.Icon, Icon._extends({
    width: 16,
    height: 16,
    viewBox: "0 0 16 16",
    ref: ref
  }, props), React.createElement("path", {
    d: "M18,28h-4c-1.1,0-2-0.9-2-2v-7.6L4.6,11C4.2,10.6,4,10.1,4,9.6V6c0-1.1,0.9-2,2-2h20c1.1,0,2,0.9,2,2v3.6 c0,0.5-0.2,1-0.6,1.4L20,18.4V26C20,27.1,19.1,28,18,28z"
  }), props.children);
});

module.exports = FilterFilled16;
